package singleton;

public class Printer {

	public static void main(String[] args) {
		Driver dr=Driver.getInstance();
		dr.print("First Doc");
	}

}
//Singleton class
class Driver
{
	private static Driver driver=new Driver();
	private Driver()
		{
		   System.out.println(" Driver's  object got created ");
		}
     public static Driver getInstance()
     {
    	 return driver;
     }
     public void print(String doc)
     {
    	 System.out.println("Print is going on for "+doc);
     }
}